

chapter11.7 <- function()
{
    message("Dataobj for example 11.7...")
    message("Disease lung cancer, countries Mauritius and Peru...")
    user.prompt()
    if(exists("dataobj", inherits=TRUE))
      try(rm(dataobj, inherits=T), silent=T)
    
    lung <- eval(as.symbol(data(lung)))
    population <- eval(as.symbol(data(population)))
    adjacency <- eval(as.symbol(data(adjacency)))
    cntrycode <- eval(as.symbol(data(cntry.codes)))
    dataobj <<- dataobjWHO(disease=lung, pop=population, cov.REDUCE=NULL, cov.FULL=NULL,
                          lagyears = 30, timeseries=TRUE, 
                          cntry.vec =c(Mauritius=1300, Peru=2370),
                          nobvs=NULL, covselect.WHO=seq(0,10, 5), 
                          icode="ggggaatttt",proxfile=adjacency,
                          Gnames=cntrycode, selectages=seq(from=30, to=80, by=5))
        
###    dataobj <<- dataobjWHO(disease= c("lung"),
###                          cov.FULL= NULL, timeseries=T, lagyears=30,
###                          cntry.vec= c(Mauritius=1300, Peru=2370),
###                          selectages=seq(from=30, to=80, by=5))

    message("Formula for male lung disease...")
    ff <- log((lung2 + 0.5 )/popu2 ) ~ time + log(time -1876)
    print(ff)
    message("Running yourcast with model MAP...")
    user.prompt()
    zmean <- c(-11.123375, -10.188764,  -9.239278,  -8.419195,  -7.699627,
               -7.141269,  -6.702073,-6.400106,  -6.223774,  -6.153787,  -6.231790)
    names(zmean) <- 6:16*5
    ymap <- yourcast(formula=ff, dataobj=dataobj, model="map", Ha.sigma=0.2, Ht.sigma=0.9,
                     Hat.sigma=1.0, zero.mean=zmean)
    
    message("Generating the graphics for MAP...")
    user.prompt()
    yourgraph(ymap)
   
    
  }

chapter11.7()
